import request from '@/utils/request'

// 查询个体许可信息列表
export function listLicense(query) {
  return request({
    url: '/basicData/xcrIndividualLicense/findByPage',
    method: 'get',
    params: query
  })
}

// 查询个体许可信息详细
export function getLicense(xhCodeId) {
  return request({
    url: '/basicData/xcrIndividualLicense/' + xhCodeId,
    method: 'get'
  })
}

// 新增个体许可信息
export function addLicense(data) {
  return request({
    url: '/basicData/xcrIndividualLicense',
    method: 'post',
    data: data
  })
}

// 修改个体许可信息
export function updateLicense(data) {
  return request({
    url: '/basicData/xcrIndividualLicense',
    method: 'put',
    data: data
  })
}

// 删除个体许可信息
export function delLicense(xhCodeId) {
  return request({
    url: '/basicData/xcrIndividualLicense/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delLicenseBatch(ids) {
  return request.post('/basicData/xcrIndividualLicense/delete',ids)
}
